Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class ParserConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.parsers.ParserConfigurationException

All Implemented Interfaces:
  Serializable

    public class ParserConfigurationException

extends Exception

Indicates a serious configuration error.

See Also:
  Serialized Form

Constructor Summary
`ParserConfigurationException()` Create a new `ParserConfigurationException` with no detail mesage.
`ParserConfigurationException(String msg)` Create a new `ParserConfigurationException` with the `String` specified as an error message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParserConfigurationException

    public ParserConfigurationException()

  Create a new `ParserConfigurationException` with no detail mesage.

### ParserConfigurationException

    public ParserConfigurationException(String msg)

  Create a new `ParserConfigurationException` with the `String` specified as an error message.

  Parameters:
    `msg` - The error message for the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.